Support » Plugin: Wordfence Security - Firewall & Malware Scan » Update Error – v 5.1.7

  • Resolved kay9

    (@kay9)



    Getting this error message when trying to update the plugin to 5.1.7 (inside the WP admin area):

    Updating Plugin Wordfence Security (1/1)
    Downloading update from https://downloads.wordpress.org/plugin/wordfence.5.1.7.zip…
    Unpacking the update…
    <strong>An error occurred while updating Wordfence Security: Could not copy file. wordfence/images/wordfenceFalcon.png</strong>
    Disabling Maintenance mode…
    
    All updates have been completed.

    https://wordpress.org/plugins/wordfence/

Viewing 10 replies - 1 through 10 (of 10 total)
  • Uninstalled 5.1.6, then tried to reinstall the latest version (5.1.7) from scratch, and got this error:

    Installing Plugin: Wordfence Security 5.1.7
    Downloading install package from https://downloads.wordpress.org/plugin/wordfence.5.1.7.zip…
    
    Unpacking the package…
    
    Could not copy file. wordfence/screenshot-5.png
    
    Return to Plugin Installer

    Mmmay then.

    Hello, I get the same error while trying to update to wordfence.5.1.8

    An error occurred while updating Wordfence Security: Could not copy file. wordfence/images/wordfenceFalcon.png

    Any help would be appreciated.

    Thanks in advance.

    I’ve uninstalled wordfence5.1.7 and uploaded wordfence.5.1.8 via ftp directly. Activated the plugin and had no issues.

    Try to avoid automated update to avoid problems.

    I had the same issue for the last few updates with Wordfence and have no idea how to deal with it beacuse I do not want to do it via ftp every time.

    Also for the last update from 5.2.3 to 5.2.4 the following happens:

    Installing Plugin: Wordfence Security 5.2.4

    Downloading install package from https://downloads.wordpress.org/plugin/wordfence.5.2.4.zip…

    Unpacking the package…

    Could not copy file. wordfence/images/forward_enabled.jpg

    Plugin Author WFSupport

    (@wfsupport)

    @ataub2qf
    This usually happens because of permissions. Can you see what the permissions are of that directory? I’d start with the plugins directory and then get them from the Wordfence directory.

    If this still persists please open a new thread so that we can track your issue separately. Opening older posts that are marked resolved makes it easy for your issue to get missed.

    Thanks!

    tim

    When updating I got this message: Could not copy file. wordfence/images/forward_enabled.jpg
    Tried several times and got the same message.
    Then I removed the plugin and tried downloading the plugin again. Still the same message.
    Tried another plugin and wasn’t happy with it. So I removed that and tried Wordfence again, latest version, but still get the same message.
    I was really happy with Wordfence before I had all this problem of updating, etc.
    Please what should I do to get the plugin to work again for me?
    My website is: http://www.adafagan.co.za

    You need to go to /wp-content/upgrade/ and delete all the wordfence folders/files in there. Chances are you won’t be able to do that via FTP due to chown problems but will need shell access to your server to get rid of them. After that is done you will be able to upgrade without a problem

    @contortion
    Perfect!

    Works for me too.

    Thank you!

Viewing 10 replies - 1 through 10 (of 10 total)
  • The topic ‘Update Error – v 5.1.7’ is closed to new replies.